# Fusion Tables API . task

## Instance Methods

Deletes a specific task by its ID, unless that task has already started running.

Retrieves a specific task by its ID.

Retrieves a list of tasks.

Retrieves the next page of results.

### Method Details

`delete(tableId, taskId)`

    Deletes a specific task by its ID, unless that task has already started running.

    Args:
      tableId: string, Table from which the task is being deleted. (required)
      taskId: string, The identifier of the task to delete. (required)

`get(tableId, taskId)`

    Retrieves a specific task by its ID.

    Args:
      tableId: string, Table to which the task belongs. (required)
      taskId: string, The identifier of the task to get. (required)

    Returns:
      An object of the form:

        { # A background task on a table, initiated for time- or resource-consuming operations such as changing column types or deleting all rows.
        "started": True or False, # false while the table is busy with some other task. true if this background task is currently running.
        "progress": "A String", # Task percentage completion.
        "kind": "fusiontables#task", # Type of the resource. This is always "fusiontables#task".
        "type": "A String", # Type of background task.
        "taskId": "A String", # Identifier for the task.
      }

`list(tableId, pageToken=None, maxResults=None, startIndex=None)`

    Retrieves a list of tasks.

    Args:
      tableId: string, Table whose tasks are being listed. (required)
      pageToken: string, Continuation token specifying which result page to return.
      maxResults: integer, Maximum number of tasks to return. Default is 5.
      startIndex: integer, Index of the first result returned in the current page.

    Returns:
      An object of the form:

        { # Represents a list of tasks for a table.
        "nextPageToken": "A String", # Token used to access the next page of this result. No token is displayed if there are no more pages left.
        "items": [ # List of all requested tasks.
          { # A background task on a table, initiated for time- or resource-consuming operations such as changing column types or deleting all rows.
            "started": True or False, # false while the table is busy with some other task. true if this background task is currently running.
            "progress": "A String", # Task percentage completion.
            "kind": "fusiontables#task", # Type of the resource. This is always "fusiontables#task".
            "type": "A String", # Type of background task.
            "taskId": "A String", # Identifier for the task.
          },
        ],
        "kind": "fusiontables#taskList", # Type of the resource. This is always "fusiontables#taskList".
        "totalItems": 42, # Total number of tasks for the table.
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.